const Generator = require('yeoman-generator');

module.exports = class extends Generator {
  writing() {
    // this.fs.write(this.destinationPath('temp.txt'), Math.random().toString());
    const tmpl = this.templatePath('index.html');
    const output = this.destinationPath('template.xhtml');
    const context = this.info;
    this.fs.copyTpl(tmpl, output, context);
  }
  prompting() {
    return this.prompt([
      {
        type: 'input',
        name: 'name',
        message: 'Your Project name is',
        default: this.appname, // 目录文件夹名
      },
    ]).then((res) => {
      this.info = res;
    });
  }
};
